Subject: Re: [PATCH v2 2/2] [iproute2/tc] hfsc: add link layer overhead adaption

From: Patrick McHardy <[email-masked]>
Date: Wed, 25 Jun 2008 13:07:30 +0200

Jussi Kivilinna wrote:
> Quoting Andy Furniss <[email-masked]>:
> 
>> Jussi Kivilinna wrote:
>>> Patch adds 'mpu', 'mtu', 'overhead' and 'linklayer' options to hfsc. 
>>> These
>>> options are used to create size table for sch_hfsc. Size table is 
>>> only used
>>> and passed to kernel if these options are used.
>>
>>> +    unsigned short overhead = 0, mpu = 0;
>>
>> overhead may need to be negative because skb->len on eth is payload + 14
>>
>> Andy.
> 
> Ok, I made size tables use signed short for overhead instead.

Please wait with resending until I get a chance to review the
patches (probably later today) in case something else comes up.